Loading...
Searching...
No Matches
eastasianwidthdef.h File Reference
`#include "unibreakdef.h"`
Include dependency graph for eastasianwidthdef.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | EastAsianWidthProperties
| Struct for entries of East Asian Width properties. More...

## Enumerations

enum | EastAsianWidthClass { EAW_A , EAW_F , EAW_H , EAW_Na , EAW_W , EAW_N }
| East Asian Width (ea) class. More...

## Functions

enum EastAsianWidthClass | ub_get_char_eaw_class (utf32_t ch)
| Gets the East Asian Width class of a character.

## Enumeration Type Documentation

## EastAsianWidthClass

enum EastAsianWidthClass

East Asian Width (ea) class.

This is defined in Unicode Standard Annex 11.

Enumerator
EAW_A | Ambiguous.
EAW_F | Fullwidth.
EAW_H | Halfwidth.
EAW_Na | Narrow.
EAW_W | Wide.
EAW_N | Neutral.

## Function Documentation

## ub_get_char_eaw_class()

enum EastAsianWidthClass ub_get_char_eaw_class | ( | utf32_t | ch | ) |

Gets the East Asian Width class of a character.

Parameters

  ch | character to check

Returns
  the East Asian Width class if found; `EAW_N` otherwise